Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 815567 - graphics corruption in F17 beta from _upgrade_
Summary: graphics corruption in F17 beta from _upgrade_
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-23 21:37 UTC by D.S. Ljungmark
Modified: 2013-08-01 13:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-01 13:28:18 UTC
Type: Bug


Attachments (Terms of Use)
screenshot, garbled. (89.89 KB, image/png)
2012-04-23 21:37 UTC, D.S. Ljungmark
no flags Details
messages log (891.98 KB, text/plain)
2012-04-23 21:38 UTC, D.S. Ljungmark
no flags Details
xorg.0.log (126.07 KB, text/x-log)
2012-04-23 21:39 UTC, D.S. Ljungmark
no flags Details
cat /proc/cmdline; dmesg; lspci -vv ; cat /var/log/Xorg.0.log (228.06 KB, text/plain)
2012-04-27 21:40 UTC, D.S. Ljungmark
no flags Details
Xorg.0.log (125.99 KB, text/plain)
2012-05-01 19:57 UTC, D.S. Ljungmark
no flags Details
Messages log, on live DVD (104.30 KB, application/octet-stream)
2012-05-01 19:58 UTC, D.S. Ljungmark
no flags Details

Description D.S. Ljungmark 2012-04-23 21:37:17 UTC
Created attachment 579699 [details]
screenshot, garbled.

Description of problem:
All X windows that aren't fullscreen (gnome shell maximized) get corrupted.

This manifests in dropdowns, menus, and all other windows.  When resizing to certain sizes things that appear to be close to the window content appears.

The LiveDVD does _NOT_ have this error, neither did a _fresh_ install of Fedora 17.  However, an _upgraded_ version of F17 has this bug.





Version-Release number of selected component (if applicable):
F17 beta.

How reproducible:
All users ( including a user with a completely wiped home directory) shows this bug.




Steps to Reproduce:
1. Install Fedora 16
2. upgrade to F17
3.  start computer

Comment 1 D.S. Ljungmark 2012-04-23 21:38:10 UTC
Created attachment 579700 [details]
messages log

Comment 2 D.S. Ljungmark 2012-04-23 21:39:30 UTC
Created attachment 579701 [details]
xorg.0.log

re-verified: no xorg.conf config file.

Comment 3 Adam Jackson 2012-04-26 14:44:24 UTC
Your X log contains:

[    29.052] Kernel command line: BOOT_IMAGE=/vmlinuz-3.3.2-8.fc17.x86_64 root=UUID=e530db56-a389-48cb-94cc-5eeb9f44b4f6 ro rd.md=0 rd.lvm=0 rd.dm=0 SYSFONT=True KEYTABLE=sv-latin1 rd.luks=0 LANG=en_US.UTF-8 nomodeset

Pretty sure 'nomodeset' there is the problem.  You probably needed it to install F16.  It's still a bit weird since vesa shouldn't fail like that, but can you try removing 'nomodeset' from the upgraded-to-F17 machine?

Comment 4 D.S. Ljungmark 2012-04-26 20:12:03 UTC
Actually I added that as a response to feedback from #fedora-qa  after the upgrade.

So, nomodeset doesn't make a difference on my updated system.

I have some photos of the screen for you if you want to see the corruption.

Comment 5 Adam Jackson 2012-04-27 14:57:36 UTC
It seems very strange to me that removing nomodeset would have no effect, since it should switch you to using the radeon driver instead of vesa.  What does the X log look like when you boot without nomodeset?

Comment 6 D.S. Ljungmark 2012-04-27 20:32:21 UTC
Hmm, Should it really?  I thought the radeon driver didn't support the 7970 cards yet.

Comment 7 D.S. Ljungmark 2012-04-27 20:40:29 UTC
Hmm, Should it really?  I thought the radeon driver didn't support the 7970 cards yet.

Comment 8 D.S. Ljungmark 2012-04-27 21:40:31 UTC
Created attachment 580873 [details]
cat /proc/cmdline; dmesg; lspci -vv ; cat /var/log/Xorg.0.log

Attached are the logs again. nomodeset is definitely removed.

Comment 9 D.S. Ljungmark 2012-04-27 21:41:26 UTC
I had to modprobe the radeon driver manually, before starting X, and that did not change anything either.

Comment 10 D.S. Ljungmark 2012-05-01 19:57:25 UTC
Created attachment 581458 [details]
Xorg.0.log

This is from a *non corrupted* Fedora 17 live DVD, graphics work, no corruptions (only enabling one screen in X, but I can live with that)

Comment 11 D.S. Ljungmark 2012-05-01 19:58:58 UTC
Created attachment 581459 [details]
Messages log, on live DVD

This is from a *non corrupted* Fedora 17 live DVD, graphics work, no corruptions (only enabling one screen in X, but I can live with that)

Comment 12 Adam Jackson 2012-05-02 17:41:42 UTC
Okay, I was wrong, radeon doesn't support your card yet.

Which really only makes this weirder.  Does the upgraded machine still have an older copy of mesa on it perhaps?  There's been some changes to how software 3d does texture pitch which might show up like this.

Comment 13 D.S. Ljungmark 2012-05-03 21:28:52 UTC
I'll have to reinstall F16 and then F17 to try ( Due to the unworkable graphics on the updated F16>17 install, I gave up and wiped it for a fresh installation.)


However, I have reproduced the graphics corruption with the _live DVD_ image of F17.

The fresh installed version of F17 is still, however, working.

--
I'll try and get a live-dvd corruption proof, logs, ( /proc/cmdline, dmesg /var/log/{Xorg.*,messages} rpm -qa 

Any other information you need?

Comment 14 D.S. Ljungmark 2012-05-03 21:30:20 UTC
Fun fact. Default firefox window size and maximized both give working results. Resizing the Firefox window will cause corrupton. This means that Comment 11 is _wrong_

Comment 15 D.S. Ljungmark 2012-05-04 08:00:56 UTC
AAAAAAaaaaaaaaaaaargh.
This is turning to one of those hellishly hard to reproduce bugs for me. 
 The Live DVD no longer causes corrupt graphics.

 I'll see about doing an upgrade and comparing package-lists in the weekend. 

Sorry for the noise, this is starting to frustrate me.

Comment 16 Fedora End Of Life 2013-07-04 04:25:02 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2013-08-01 13:28:31 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.